#pragma once
#include <string>
#include <stdint.h>

class DB {
protected:
    DB();
    virtual ~DB();
public:
    DB(const DB &) = delete;
    DB(DB &&) = delete;
    static DB * Instance();

    virtual int SetCallbackEvent(
            const std::string &corpid,
            uint32_t agentid,
            const std::string &notify_id,
            const std::string &event_data) {
        return -1;
    }
    virtual int GetCallbackEvent(
            const std::string &corpid,
            uint32_t agentid,
            const std::string &notify_id,
            std::string *event_data) {
        return -1;
    }
};
